com.ibm.openpages.api.workflow

## Enum WFSearchConditionType

- java.lang.Object
- - java.lang.Enum<WFSearchConditionType>
  - - com.ibm.openpages.api.workflow.WFSearchConditionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFSearchConditionType>

      public enum WFSearchConditionType
      extends java.lang.Enum<WFSearchConditionType>

  Represents the type of the condition used to fetch the workflow objects. Refer `IWFBaseFindOptions` and sub-interfaces of `IWFSearchCondition`.
  Since:
    8.0.0.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ConditionGroup` Represents a condition group
    `InCondition` Represents a in condition `IWFSearchInCondition`
    `RangeCondition` Represents a range condition `IWFSearchRangeCondition`
    `SimpleCondition` Represents a simple search condition `IWFSearchSimpleCondition`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WFSearchConditionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFSearchConditionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SimpleCondition

          public static final WFSearchConditionType SimpleCondition

      Represents a simple search condition `IWFSearchSimpleCondition`

    - #### InCondition

          public static final WFSearchConditionType InCondition

      Represents a in condition `IWFSearchInCondition`

    - #### RangeCondition

          public static final WFSearchConditionType RangeCondition

      Represents a range condition `IWFSearchRangeCondition`

    - #### ConditionGroup

          public static final WFSearchConditionType ConditionGroup

      Represents a condition group

  - ### Method Detail

    - #### values

          public static WFSearchConditionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFSearchConditionType c : WFSearchConditionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFSearchConditionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.